<?php

namespace Drupal\Tests\aws_cloud\Traits;

use Drupal\Component\Utility\Random;

trait AwsCloudTestTrait {

  private static $internalRandom;

  /**
   * Generates a random string containing 32 length-letters and numbers
   * for AWS long ID.
   *
   * @return string
   *   32 length randomly generated string.
   *
   * @see Discussed: https://www.drupal.org/project/cloud/issues/3025228
   */
  protected function getRandomAwsId() {
    if (!isset(self::$internalRandom)) {
      self::$internalRandom = new Random();
    }

    return self::$internalRandom->name(32, TRUE);
  }

}
