<?php

namespace Drupal\cloud\Service;

/**
 * Interface EntityLinkRendererInterface.
 */
interface EntityLinkRendererInterface {

  /**
   * Render entity link for view.
   *
   * @param string $value
   *   The value of entity.
   * @param string $target_type
   *   The type of target entity.
   * @param string $field_name
   *   The field name of target entity.
   * @param array $query
   *   The query parameters.
   *
   * @return array
   *   The build array of entity link element for viewZ.
   */
  public function renderViewElement($value, $target_type, $field_name, array $query);

  /**
   * Render entity link for form.
   *
   * @param string $value
   *   The value of entity.
   * @param string $target_type
   *   The type of target entity.
   * @param string $field_name
   *   The field name of target entity.
   * @param array $options
   *   The form element options.
   *
   * @return array
   *   The build array of entity link element for form.
   */
  public function renderFormElements(
    $value,
    $target_type,
    $field_name,
    array $options
  );

}
